Bulk Create Emails
curl --request POST \
--url http://api.stuut.ai/v1/emails/bulk/create \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"email_sender": "<string>",
"email_template": "<string>",
"partners": [
"<string>"
],
"auto_send": true
}
'import requests
url = "http://api.stuut.ai/v1/emails/bulk/create"
payload = {
"email_sender": "<string>",
"email_template": "<string>",
"partners": ["<string>"],
"auto_send": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
email_sender: '<string>',
email_template: '<string>',
partners: ['<string>'],
auto_send: true
})
};
fetch('http://api.stuut.ai/v1/emails/bulk/create', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"object": "<string>",
"id": "<string>",
"auto_send": true,
"created_at": "2023-11-07T05:31:56Z",
"email_sender_id": "<string>",
"modified_at": "2023-11-07T05:31:56Z",
"partner": {
"id": "<string>",
"account_number": "<string>",
"ap_portals": [
{
"object": "<string>",
"partner_id": "<string>",
"id": "<string>",
"account": {
"object": "<string>",
"organization_id": "<string>",
"id": "<string>",
"available_operations": "<unknown>",
"created_at": "2023-11-07T05:31:56Z",
"modified_at": "2023-11-07T05:31:56Z"
},
"account_id": "<string>",
"account_key": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"customer_identifier": "<string>",
"customer_name": "<string>",
"invoice_submission_guidelines": "<string>",
"is_enabled": true,
"is_invoice_submission_enabled": true,
"is_report_download_enabled": true,
"modified_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"report_email": "<string>"
}
],
"assignee": {
"email": "<string>",
"family_name": "<string>",
"given_name": "<string>",
"object": "<string>",
"organization_id": "<string>",
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"dashboard_settings": {
"thread_emails_sort_order": "asc"
},
"default_email_sender_id": "<string>",
"invited_by_user_id": "<string>",
"is_access_approved": true,
"is_org_admin": true,
"modified_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"onboarding_required": true,
"profile_picture": "<string>",
"selected": true
},
"assignee_id": "<string>",
"billing_address": {
"object": "<string>",
"city": "<string>",
"coordinates": {},
"country": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"line1": "<string>",
"line2": "<string>",
"modified_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"phone": "<string>",
"postal_code": "<string>",
"remote_id": "<string>",
"state": "<string>",
"type": "<string>"
},
"billing_address_id": 123,
"contacts": [
{
"email": "<string>",
"object": "<string>",
"partner_id": "<string>",
"id": "<string>",
"address": {
"object": "<string>",
"city": "<string>",
"coordinates": {},
"country": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"line1": "<string>",
"line2": "<string>",
"modified_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"phone": "<string>",
"postal_code": "<string>",
"remote_id": "<string>",
"state": "<string>",
"type": "<string>"
},
"address_id": 123,
"addresses": [
{
"object": "<string>",
"id": "<string>",
"city": "<string>",
"coordinates": {},
"country": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"is_primary": true,
"line1": "<string>",
"line2": "<string>",
"modified_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"postal_code": "<string>",
"state": "<string>",
"type": "<string>"
}
],
"created_at": "2023-11-07T05:31:56Z",
"custom_fields": "<unknown>",
"family_name": "<string>",
"given_name": "<string>",
"is_email_disabled": true,
"is_phone_disabled": true,
"is_primary": true,
"is_primary_email": true,
"is_primary_phone": true,
"job_title": "<string>",
"modified_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"phone": "<string>",
"remote_created_at": "2023-11-07T05:31:56Z",
"remote_id": "<string>",
"remote_metadata": null,
"remote_modified_at": "2023-11-07T05:31:56Z",
"status_metadata": "<unknown>"
}
],
"created_at": "2023-11-07T05:31:56Z",
"custom_fields": "<unknown>",
"description": "<string>",
"email": "<string>",
"family_name": "<string>",
"finix_identity_id": "<string>",
"given_name": "<string>",
"invoice_prefix": "<string>",
"is_active": true,
"is_company": true,
"is_email_disabled": true,
"is_phone_disabled": true,
"is_primary_email": true,
"is_primary_phone": true,
"last_outreach_at": "2023-11-07T05:31:56Z",
"last_outreach_to": "<string>",
"last_synced_at": "2023-11-07T05:31:56Z",
"legal_name": "<string>",
"linked_integration": {
"integration_name": "<string>",
"is_configured": true,
"object": "<string>",
"settings": {},
"id": "<string>",
"api_subdomain": "<string>",
"api_url": "<string>",
"connection_info": null,
"created_at": "2023-11-07T05:31:56Z",
"credentials_expire_at": "2023-11-07T05:31:56Z",
"health": {
"details": null,
"message": null,
"reason": null
},
"identity_info": null,
"integration": {
"display_name": "<string>",
"name": "<string>",
"object": "<string>",
"api_base_url": "<string>",
"api_documentation_url": null,
"api_requires_subdomain": false,
"auth_type": null,
"categories": [],
"color": null,
"connection_guide_url": null,
"connection_instructions": null,
"connection_steps": [
{
"title": "<string>",
"description": null,
"endpoint": null,
"fields": null,
"post_auth": false
}
],
"created_at": "2023-11-07T05:31:56Z",
"description": null,
"is_enabled": true,
"logo": null,
"logo_square": null,
"modified_at": "2023-11-07T05:31:56Z",
"settings": [
{
"key": "<string>",
"choices": null,
"description": null,
"format": "text",
"group": null,
"guide_url": null,
"is_editable": false,
"is_required": true,
"is_select": false,
"label": null,
"post_auth": false,
"requires_load": false
}
],
"short_description": null
},
"is_running_setup": true,
"is_sync_disabled": true,
"is_webhooks_enabled": true,
"models": [
{
"integration_schema_id": "<string>",
"linked_integration_id": "<string>",
"name": "<string>",
"object": "<string>",
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"exclude_rule": {},
"field_mappings": null,
"health": {
"details": null,
"message": null,
"reason": null
},
"is_read_enabled": true,
"is_webhooks_setup": true,
"is_write_enabled": true,
"last_sync": {
"linked_model_id": "<string>",
"object": "<string>",
"run_id": "<string>",
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"entity_id": "<string>",
"is_initial_sync": true,
"is_one_off": true,
"modified_at": "2023-11-07T05:31:56Z",
"pagination": null,
"run": {
"object": "<string>",
"id": "<string>",
"completed_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"data": null,
"event_id": "<string>",
"modified_at": "2023-11-07T05:31:56Z",
"output": null,
"remote_id": "<string>",
"stacktrace": "<string>",
"started_at": "2023-11-07T05:31:56Z"
},
"timerange_end": "2023-11-07T05:31:56Z",
"timerange_start": "2023-11-07T05:31:56Z"
},
"last_sync_id": "<string>",
"modified_at": "2023-11-07T05:31:56Z",
"next_sync_at": "2023-11-07T05:31:56Z",
"sync_requested": true
}
],
"modified_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"owner_id": "<string>",
"requires_setup": true,
"username": "<string>",
"webhook_listener_url": "<string>",
"webhook_setup_error": "<string>"
},
"modified_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"object": "<string>",
"on_behalf_of": "<string>",
"on_behalf_of_phone": "<string>",
"organization_id": "<string>",
"parent_id": "<string>",
"phone": "<string>",
"remote_created_at": "2023-11-07T05:31:56Z",
"remote_id": "<string>",
"remote_metadata": null,
"remote_modified_at": "2023-11-07T05:31:56Z",
"remote_parent_id": "<string>",
"remote_payment_portal_url": "<string>",
"shipping_address": {
"object": "<string>",
"city": "<string>",
"coordinates": {},
"country": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"line1": "<string>",
"line2": "<string>",
"modified_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"phone": "<string>",
"postal_code": "<string>",
"remote_id": "<string>",
"state": "<string>",
"type": "<string>"
},
"status_metadata": "<unknown>",
"tags": [
{
"object": "<string>",
"partner_id": "<string>",
"tag_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"is_manual": true,
"modified_at": "2023-11-07T05:31:56Z",
"tag": {
"name": "<string>",
"object": "<string>",
"id": "<string>",
"color": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"modified_at": "2023-11-07T05:31:56Z",
"rule_condition": {}
}
}
],
"tax_number": "<string>"
},
"requested_by": {
"email": "<string>",
"family_name": "<string>",
"given_name": "<string>",
"object": "<string>",
"organization_id": "<string>",
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"dashboard_settings": {
"thread_emails_sort_order": "asc"
},
"default_email_sender_id": "<string>",
"invited_by_user_id": "<string>",
"is_access_approved": true,
"is_org_admin": true,
"modified_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"onboarding_required": true,
"profile_picture": "<string>",
"selected": true
},
"requested_by_id": "<string>"
}{
"data": {},
"error": "<string>",
"message": "<string>"
}{
"detail": {
"<location>": {
"<field_name>": [
"<string>"
]
}
},
"message": "<string>"
}Emails
Bulk Create Emails
POST
/
v1
/
emails
/
bulk
/
create
Bulk Create Emails
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
Successful response
Maximum string length:
32Whether to automatically send the emails created by this bulk email request.When false, the emails will be created and left in a draft state for you to send.Defaults to false.
Maximum string length:
32Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I
